Showroom Mobile Banking - Bug #14892

IB&MB - credit-cards - Convert to ngrx data
25 November 2022 03:01 PM - chok yee fan

Status: Closed Start date: 25 November 2022
Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Issue

Currently not using ngrx data.

Expected

Use ngrx data.

History

#1 - 09 December 2022 05:24 PM - Wee Meng Soh
- File Screenshot 2022-12-09 at 5.22.50 PM.png added
- Status changed from New to Resolved

- Assignee changed from Wee Meng Soh to Hoo Dextor

weemeng.soh: Bug #14892 MB - credit-cards - Convert to ngrx data
weemeng.soh: Bug #14892 B - credit-cards - Convert to ngrx data

#2 - 23 December 2022 05:00 PM - Pui Shan Lee
- File Picture1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

(IB)Issue:

<div class="cc-details-div"> not displaying, user's credit card number and name on card are not displaying

should call retreiveAccountSummary and permanentincreaseCreditLimitList API

Expected:
should display the user's credit card number and name on the card

file path: cc-reset-pin.html & cc-reset-ts
Possible solution:

cc-reset-pin.ts
suspect the permanentincreaseCreditLimitList$ is not complete

21 April 2025

1/4



https://dev.silverlakemobility.com/redmine/issues/14892
https://dev.silverlakemobility.com/redmine/issues/14892

#3 - 27 December 2022 01:01 PM - Wui Ling Chai
MB Issue:
Error Message appeared when the "credit card" button is clicked

Steps:

1. Login

2. Side menu -> Card Management -> Credit Card Services -> Credit Cards (under payment section)
3. Error message pop up [ C0004]

Expected outcome:
Able to redirect to the "credit card" page

Possible Solution:

#4 - 27 December 2022 01:17 PM - Wui Ling Chai
MB Issue:
Dropdown list has no options to choose

Steps:

1. Login

2. Side menu -> Card Management -> Credit Card Services -> Request Increase in Credit Limit (Temporary) (under Services)

3. Proceed till "Temporary Increase in Credit Limit" page

4. The first two drop down list does not contain any option to choose, which is Occupational Category and Occupation (under Employment Details)

Expected outcome:
Able to view and choose options from the dropdown list

Possible Solution: -

#5 - 03 January 2023 03:05 PM - chok yee fan
Wui Ling Chai wrote:

MB Issue:
Error Message appeared when the "credit card" button is clicked

Steps:

1. Login

2. Side menu -> Card Management -> Credit Card Services -> Credit Cards (under payment section)
3. Error message pop up [ C0004]

Expected outcome:
Able to redirect to the "credit card" page

Possible Solution:
currently app is showing the same, will ignore the error

#6 - 03 January 2023 05:52 PM - chok yee fan
Revision #220735 Committed by chokyf A minute ago chok: reset pin for web ngrx data https://dev.silverlakemobility.com/redmine/issues/14892

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/apps/web-showroom/src/app/accounts/credit-cards
cc-reset-pin

cc-reset-pin.html

cc-reset-pin.ts

cc-listing.ts

#7 - 04 January 2023 03:10 PM - chok yee fan

- Assignee changed from chok yee fan to Wui Ling Chai

Wui Ling Chai wrote:

MB Issue:
Dropdown list has no options to choose

Steps:

1. Login

2. Side menu -> Card Management -> Credit Card Services -> Request Increase in Credit Limit (Temporary) (under Services)

3. Proceed till "Temporary Increase in Credit Limit" page

4. The first two drop down list does not contain any option to choose, which is Occupational Category and Occupation (under Employment
Details)

Expected outcome:
Able to view and choose options from the dropdown list

Possible Solution: -

Revision #220748 Committed by chokyf 25 minutes ago chok: resolve the dropdown not display
https://dev.silverlakemobility.com/redmine/issues/14892#note-4

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/apps/showroom-mby/src/app/accounts/credit-cards/cc-temp-incr-cr-limit
cc-temp-incr-cr-limit.html
cc-temp-incr-cr-limit.ts
https://dev.silverlakemobility.com/redmine/issues/14892
https://dev.silverlakemobility.com/redmine/issues/14892#note-4

#8 - 04 January 2023 04:59 PM - Wui Ling Chai
- Status changed from Feedback to Resolved

- Assignee changed from Wui Ling Chai to Hoo Dextor

#9 - 11 September 2023 10:12 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

Screenshot 2022-12-09 at 5.22.50 PM.png 799 KB 09 December 2022 Wee Meng Soh

Picture1.png 67.1 KB 23 December 2022 Pui Shan Lee
